#ifndef __UTIL_H__
#define __UTIL_H__

bool reg_match( const char * input, const char * regexp, char * ret=NULL, int sz=0, int * pos = NULL );
//char * urlencode(const char * buf);     // Encode a string using URL-encoding
char * urlencode(const char * buf, char *, int );       // Encode a string using URL-encoding
//char * urldecode( char * buf);  // Decode a string using URL-encoding
char * urldecode( char * buf, char *, int );    // Decode a string using URL-encoding

#endif
